"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Option = Option;
exports.OptionPrimaryContent = OptionPrimaryContent;
exports.OptionSecondaryContent = OptionSecondaryContent;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _Bookend = require("../../../Bookend");

var _VisuallyHidden = require("../../../VisuallyHidden");

var _Text = require("../../../Text");

var _Radio = require("../../../Radio");

var _Checkbox = require("../../../Checkbox");

var _Theme = require("../../../Theme");

var _hooks = require("../../hooks");

var _OptionList = _interopRequireDefault(require("../../OptionList.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter)) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function Option(_ref) {
  var id = _ref.id,
      label = _ref.label,
      details = _ref.details,
      children = _ref.children;

  var _useOptionList = (0, _hooks.useOptionList)(),
      optionListId = _useOptionList.id,
      selectedItems = _useOptionList.selectedItems,
      allowMultiple = _useOptionList.allowMultiple,
      _onChange = _useOptionList.onChange;

  var Control = allowMultiple ? _Checkbox.CheckboxControl : _Radio.RadioControl;
  var checked = selectedItems.includes(id);

  var _useThemeConfiguratio = (0, _Theme.useThemeConfiguration)(),
      _useThemeConfiguratio2 = _useThemeConfiguratio.optionList.gap,
      gap = _useThemeConfiguratio2 === void 0 ? 'none' : _useThemeConfiguratio2;

  var className = (0, _cssUtilities.classNames)(_OptionList["default"].Option, gap !== 'none' && _OptionList["default"].isContainer);

  function getNewSelections() {
    if (!allowMultiple) {
      return [id];
    }

    if (checked) {
      return selectedItems.filter(function (selectedItem) {
        return selectedItem !== id;
      });
    }

    return [].concat(_toConsumableArray(selectedItems), [id]);
  }

  return /*#__PURE__*/_react["default"].createElement("div", {
    className: className
  }, /*#__PURE__*/_react["default"].createElement("label", {
    htmlFor: "".concat(optionListId, "-").concat(id),
    className: _OptionList["default"].OptionLabel
  }, /*#__PURE__*/_react["default"].createElement(_Bookend.Bookend, {
    leading: true
  }, /*#__PURE__*/_react["default"].createElement(Control, {
    id: "".concat(optionListId, "-").concat(id),
    name: "".concat(optionListId),
    checked: checked,
    onChange: function onChange() {
      return _onChange(getNewSelections());
    }
  }), label && children ? /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_VisuallyHidden.VisuallyHidden, null, label), /*#__PURE__*/_react["default"].createElement("div", {
    "aria-hidden": "true"
  }, /*#__PURE__*/_react["default"].createElement(_Bookend.Bookend, {
    trailing: true
  }, children))) : /*#__PURE__*/_react["default"].createElement(_Text.Text, {
    emphasized: true
  }, label))), details);
}

function OptionPrimaryContent(_ref2) {
  var children = _ref2.children;
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: _OptionList["default"].PrimaryContent
  }, children);
}

function OptionSecondaryContent(_ref3) {
  var children = _ref3.children;
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: _OptionList["default"].SecondaryContent
  }, children);
}