"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Step = Step;
exports.StepContent = StepContent;
exports.StepSection = StepSection;
exports.StepSectionHeader = StepSectionHeader;
exports.StepSectionShowcase = StepSectionShowcase;
exports.StepActions = StepActions;
exports.StepPrimaryAction = StepPrimaryAction;
exports.StepSecondaryAction = StepSecondaryAction;
exports.STEP_SECTION_PRIMARY_HEADER_ID = void 0;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _Heading = require("../Heading");

var _HeadingGroup = require("../HeadingGroup");

var _TextBlock = require("../TextBlock");

var _TextContainer = require("../TextContainer");

var _Theme = require("../Theme");

var _Step = _interopRequireDefault(require("./Step.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function Step(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: _Step["default"].Step
  }, children);
}

function StepContent(_ref2) {
  var grouped = _ref2.grouped,
      children = _ref2.children;
  var className = (0, _cssUtilities.classNames)(_Step["default"].Content, _defineProperty({}, _Step["default"].isGrouped, grouped));
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: className
  }, children);
}

function StepSection(_ref3) {
  var title = _ref3.title,
      _ref3$primary = _ref3.primary,
      primary = _ref3$primary === void 0 ? false : _ref3$primary,
      children = _ref3.children,
      description = _ref3.description;

  var header = title && /*#__PURE__*/_react["default"].createElement(StepSectionHeader, {
    title: title,
    primary: primary,
    description: description
  });

  return /*#__PURE__*/_react["default"].createElement("section", {
    "aria-label": title,
    className: _Step["default"].Section
  }, header, /*#__PURE__*/_react["default"].createElement(_HeadingGroup.HeadingGroup, null, children));
}

var STEP_SECTION_PRIMARY_HEADER_ID = 'primary-header';
exports.STEP_SECTION_PRIMARY_HEADER_ID = STEP_SECTION_PRIMARY_HEADER_ID;

function StepSectionHeader(_ref4) {
  var title = _ref4.title,
      _ref4$primary = _ref4.primary,
      primary = _ref4$primary === void 0 ? false : _ref4$primary,
      descriptionProp = _ref4.description;

  var description = descriptionProp && /*#__PURE__*/_react["default"].createElement(_TextBlock.TextBlock, null, descriptionProp);

  return /*#__PURE__*/_react["default"].createElement(_TextContainer.TextContainer, {
    spacing: "tight"
  }, /*#__PURE__*/_react["default"].createElement(_Heading.Heading, {
    id: primary ? STEP_SECTION_PRIMARY_HEADER_ID : undefined
  }, title), description);
}

function StepSectionShowcase(_ref5) {
  var children = _ref5.children;
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: _Step["default"].Showcase
  }, children);
}

function StepActions(_ref6) {
  var children = _ref6.children;

  var _useThemeConfiguratio = (0, _Theme.useThemeConfiguration)(),
      _useThemeConfiguratio2 = _useThemeConfiguratio.actions.display,
      display = _useThemeConfiguratio2 === void 0 ? 'inline' : _useThemeConfiguratio2;

  var className = (0, _cssUtilities.classNames)(_Step["default"].Actions, _Step["default"][(0, _cssUtilities.variationName)('Actions-display', display)]);
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: className
  }, children);
}

function StepPrimaryAction(_ref7) {
  var children = _ref7.children;
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: _Step["default"].PrimaryAction
  }, children);
}

function StepSecondaryAction(_ref8) {
  var children = _ref8.children;
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: _Step["default"].SecondaryAction
  }, children);
}