"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TextBlock = TextBlock;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _legacy = require("../../utilities/legacy");

var _typographyStyles = _interopRequireDefault(require("../../utilities/typography-styles.css"));

var _TextBlock = _interopRequireDefault(require("./TextBlock.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function TextBlock(_ref) {
  var children = _ref.children,
      size = _ref.size,
      emphasized = _ref.emphasized,
      subdued = _ref.subdued,
      style = _ref.style,
      id = _ref.id;
  var className = (0, _cssUtilities.classNames)(_TextBlock["default"].TextBlock, size && _TextBlock["default"][(0, _cssUtilities.variationName)('size', size)], emphasized && _TextBlock["default"].isEmphasized, emphasized && _legacy.utilityDefaultTextColorEmphasized, subdued && _TextBlock["default"].isSubdued, subdued && _legacy.utilityDefaultTextColorSubdued, style && _typographyStyles["default"][style]);
  var content = emphasized ? /*#__PURE__*/_react["default"].createElement("strong", null, children) : children;
  return /*#__PURE__*/_react["default"].createElement("p", {
    className: className,
    id: id
  }, content);
}