import React from 'react';
import faker from 'faker';
import { mountWithContext } from '../../../../test-utilities';
import { UnstyledLink } from './UnstyledLink';
var defaultProps = {
  to: faker.internet.url()
};
describe('<UnstyledLink />', function () {
  it('renders an anchor with expected target and rel if external', function () {
    var unstyledLink = mountWithContext( /*#__PURE__*/React.createElement(UnstyledLink, Object.assign({}, defaultProps, {
      external: true
    })));
    expect(unstyledLink).toContainReactComponent('a', {
      target: '_blank',
      rel: 'noopener noreferrer'
    });
  });
  it('renders an anchor without target or rel if not external', function () {
    var unstyledLink = mountWithContext( /*#__PURE__*/React.createElement(UnstyledLink, defaultProps));
    expect(unstyledLink).toContainReactComponent('a', {
      target: undefined,
      rel: undefined
    });
  });
  it('renders a custom link provided by the consumer', function () {
    function CustomLink() {
      return /*#__PURE__*/React.createElement("div", null, "No navigation allowed!");
    }

    var unstyledLink = mountWithContext( /*#__PURE__*/React.createElement(UnstyledLink, defaultProps), {
      linkComponent: CustomLink
    });
    expect(unstyledLink).toContainReactComponent(CustomLink, defaultProps);
  });
});