import React from 'react';
import { Stepper, StepperStep } from '.';
var meta = {
  component: Stepper,
  title: 'Stepper'
};
export default meta;

function step(step, state) {
  var stateHidden = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;

  switch (step) {
    case 'confirmed':
      return /*#__PURE__*/React.createElement(StepperStep, {
        icon: "checkmark",
        id: step,
        label: "Confirmed",
        description: "March 16",
        state: state,
        stateHidden: stateHidden
      });

    case 'onItsWay':
      return /*#__PURE__*/React.createElement(StepperStep, {
        icon: "ship",
        id: step,
        label: "On its way",
        description: "March 17",
        state: state,
        stateHidden: stateHidden
      });

    case 'outForDelivery':
      return /*#__PURE__*/React.createElement(StepperStep, {
        icon: "delivery",
        id: step,
        label: "Out for delivery",
        description: "March 18",
        state: state,
        stateHidden: stateHidden
      });

    case 'delivered':
      return /*#__PURE__*/React.createElement(StepperStep, {
        icon: "delivered",
        id: step,
        label: "Delivered",
        description: "March 19",
        state: state,
        stateHidden: stateHidden
      });

    case 'failure':
      return /*#__PURE__*/React.createElement(StepperStep, {
        icon: "errorFill",
        iconColor: "critical",
        id: step,
        label: "Not delivered",
        description: "March 19",
        state: state,
        stateHidden: stateHidden
      });
  }
}

export var defaultState = function defaultState() {
  return /*#__PURE__*/React.createElement(Stepper, null, step('confirmed', 'Current step'), step('onItsWay', 'Upcoming step'), step('outForDelivery', 'Upcoming step'), step('delivered', 'Upcoming step'));
};
export var withCompletedSteps = function withCompletedSteps() {
  return /*#__PURE__*/React.createElement(Stepper, {
    activeStep: "onItsWay"
  }, step('confirmed', 'Past step'), step('onItsWay', 'Current step'), step('outForDelivery', 'Upcoming step'), step('delivered', 'Upcoming step'));
};
export var withState = function withState() {
  return /*#__PURE__*/React.createElement(Stepper, {
    activeStep: "outForDelivery"
  }, step('confirmed', 'Past step:', false), step('onItsWay', 'Past step:', false), step('outForDelivery', 'Current step:', false), step('delivered', 'Upcoming step:', false));
};
export var withColor = function withColor() {
  return /*#__PURE__*/React.createElement(Stepper, {
    activeStep: "failure"
  }, step('confirmed', 'Past step:'), step('onItsWay', 'Past step:'), step('outForDelivery', 'Past step:'), step('failure', 'Current step:'));
};