import React from 'react';
import { classNames } from '@shopify/css-utilities';
import { Icon } from '../../../Icon';
import { TextBlock } from '../../../TextBlock';
import { VisuallyHidden } from '../../../VisuallyHidden';
import { useStepper } from '../../hooks';
import styles from './StepperStep.css';
export function StepperStep(_ref) {
  var children = _ref.children,
      description = _ref.description,
      icon = _ref.icon,
      iconColor = _ref.iconColor,
      id = _ref.id,
      label = _ref.label,
      state = _ref.state,
      _ref$stateHidden = _ref.stateHidden,
      stateHidden = _ref$stateHidden === void 0 ? true : _ref$stateHidden;

  var _useStepper = useStepper(),
      steps = _useStepper.steps;

  var first = Object.keys(steps).indexOf(id) === 0;
  var _steps$id = steps[id],
      active = _steps$id.active,
      completed = _steps$id.completed;
  var className = classNames(styles.StepperStep, completed && styles.Completed);
  return /*#__PURE__*/React.createElement(React.Fragment, null, !first && /*#__PURE__*/React.createElement(StepperStepConnector, {
    active: active,
    completed: completed
  }), /*#__PURE__*/React.createElement("li", {
    className: className,
    "aria-current": active
  }, /*#__PURE__*/React.createElement(StepperStepIcon, {
    active: active,
    completed: completed,
    source: icon,
    color: iconColor
  }), /*#__PURE__*/React.createElement(StepperStepLabel, {
    active: active,
    completed: completed,
    description: description,
    label: label,
    state: state,
    stateHidden: stateHidden
  }), children));
}
export function StepperStepIcon(_ref2) {
  var active = _ref2.active,
      _ref2$color = _ref2.color,
      color = _ref2$color === void 0 ? 'interactive' : _ref2$color,
      source = _ref2.source,
      completed = _ref2.completed;
  var className = classNames(styles.StepperStepIcon, active && styles.active, completed && styles.completed);
  return /*#__PURE__*/React.createElement("div", {
    className: className
  }, /*#__PURE__*/React.createElement(Icon, {
    source: source,
    color: active || completed ? color : 'subdued',
    size: "large"
  }));
}
export function StepperStepLabel(_ref3) {
  var active = _ref3.active,
      completed = _ref3.completed,
      description = _ref3.description,
      label = _ref3.label,
      state = _ref3.state,
      stateHidden = _ref3.stateHidden;
  var className = classNames(styles.StepperStepLabel, (active || completed) && styles.completed);
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
    className: className
  }, stateHidden ? /*#__PURE__*/React.createElement(VisuallyHidden, null, state) : /*#__PURE__*/React.createElement(TextBlock, null, state), /*#__PURE__*/React.createElement(TextBlock, {
    emphasized: active || completed
  }, label)), (active || completed) && description && /*#__PURE__*/React.createElement(TextBlock, {
    size: "small",
    subdued: true
  }, description));
}
export function StepperStepConnector(_ref4) {
  var active = _ref4.active,
      completed = _ref4.completed;
  var className = classNames(styles.StepperStepConnector, (active || completed) && styles.completed);
  return /*#__PURE__*/React.createElement("li", {
    className: className,
    "aria-hidden": true
  });
}