function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

import React from 'react';
import { classNames, variationName } from '@shopify/css-utilities';
import { utilityDefaultTextColorSubdued, utilityDefaultTextColorEmphasized } from '../../utilities/legacy';
import typographyStyles from '../../utilities/typography-styles.css';
import styles from './Text.css';
export function Text(_ref) {
  var children = _ref.children,
      size = _ref.size,
      emphasized = _ref.emphasized,
      subdued = _ref.subdued,
      role = _ref.role,
      style = _ref.style,
      id = _ref.id;
  var className = classNames(styles.Text, emphasized && styles.isEmphasized, emphasized && utilityDefaultTextColorEmphasized, subdued && styles.isSubdued, subdued && utilityDefaultTextColorSubdued, size && styles[variationName('size', size)], style && typographyStyles[style]);
  var content = emphasized ? /*#__PURE__*/React.createElement("strong", null, children) : children;
  var defaultProps = {
    className: className,
    id: id
  };

  if (typeof role === 'string') {
    switch (role) {
      case 'address':
        return /*#__PURE__*/React.createElement("address", defaultProps, content);

      case 'deletion':
        return /*#__PURE__*/React.createElement("del", defaultProps, content);

      default:
        throw new Error('Invalid Text’s role');
    }
  }

  if (_typeof(role) === 'object') {
    switch (role.type) {
      case 'abbreviation':
        return /*#__PURE__*/React.createElement("abbr", Object.assign({
          defaultProps: defaultProps,
          className: classNames(className, styles.Abbr)
        }, {
          title: role["for"]
        }), content);

      case 'directional-override':
        return /*#__PURE__*/React.createElement("bdo", Object.assign({}, defaultProps, {
          dir: role.direction
        }), content);

      case 'datetime':
        return /*#__PURE__*/React.createElement("time", Object.assign({}, defaultProps, {
          dateTime: role.machineReadable
        }), content);

      default:
        throw new Error('Invalid Text’s role');
    }
  }

  return emphasized ? /*#__PURE__*/React.createElement("strong", defaultProps, children) : /*#__PURE__*/React.createElement("span", defaultProps, children);
}