import React from 'react';
import { classNames, variationName } from '@shopify/css-utilities';
import styles from './View.css';

/**
 * A View is a generic container component. Its contents will always be their
 * “natural” size, so this component can be useful in layout components (like `Layout`, `Tiles`,
 * `BlockStack`, `InlineStack`) that would otherwise stretch their children to fit.
 */
export function View(_ref) {
  var children = _ref.children,
      inlinePadding = _ref.inlinePadding,
      blockPadding = _ref.blockPadding;
  var className = classNames(inlinePadding && styles[variationName('inlinePadding', inlinePadding)], blockPadding && styles[variationName('blockPadding', blockPadding)]);
  return /*#__PURE__*/React.createElement("div", {
    className: className
  }, children);
}