"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Banner = Banner;

var _react = _interopRequireWildcard(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _Heading = require("../Heading");

var _HeadingGroup = require("../HeadingGroup");

var _Bookend = require("../Bookend");

var _Icon = require("../Icon");

var _View = require("../View");

var _TextContainer = require("../TextContainer");

var _Button = require("../Button");

var _Banner = _interopRequireDefault(require("./Banner.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function Banner({
  title,
  status = 'info',
  children,
  collapsible = false,
  iconHidden = false
}) {
  const [collapsed, setCollapsed] = (0, _react.useState)(true);
  const className = (0, _cssUtilities.classNames)(_Banner.default.Banner, status && _Banner.default[(0, _cssUtilities.variationName)('status', status)]);

  const titleMarkup = title && /*#__PURE__*/_react.default.createElement(_Heading.Heading, null, /*#__PURE__*/_react.default.createElement("span", {
    className: collapsible && _Banner.default.isCollapsible
  }, title));

  const showChildren = !collapsible || collapsible && !collapsed;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: className,
    role: status === 'critical' ? 'alert' : 'status',
    "aria-atomic": "true",
    "aria-live": "polite"
  }, collapsible && /*#__PURE__*/_react.default.createElement("div", {
    className: _Banner.default.collapsibleButton
  }, /*#__PURE__*/_react.default.createElement(_Button.Button, {
    plain: true,
    onPress: () => setCollapsed(prev => !prev)
  }, /*#__PURE__*/_react.default.createElement(_Icon.Icon, {
    size: "small",
    source: collapsed ? 'chevronDown' : 'chevronUp'
  }))), /*#__PURE__*/_react.default.createElement(_Bookend.Bookend, {
    leading: true
  }, !iconHidden && /*#__PURE__*/_react.default.createElement("div", {
    className: _Banner.default.Icon
  }, /*#__PURE__*/_react.default.createElement(_Icon.Icon, {
    source: status
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: _Banner.default.Content
  }, children ? /*#__PURE__*/_react.default.createElement(_TextContainer.TextContainer, {
    spacing: "tight"
  }, titleMarkup, showChildren && /*#__PURE__*/_react.default.createElement(_HeadingGroup.HeadingGroup, null, /*#__PURE__*/_react.default.createElement(_View.View, null, children))) : titleMarkup)));
}