"use strict";

var _react = _interopRequireDefault(require("react"));

var _dom = require("@quilted/react-testing/dom");

var _faker = _interopRequireDefault(require("faker"));

var _TextBlock = require("../TextBlock");

var _MoneyLine = require("./MoneyLine");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const defaultProps = {
  label: _faker.default.random.word(),
  value: _faker.default.random.number().toString()
};
describe('<MoneyLine />', () => {
  it('renders a label', () => {
    const label = _faker.default.random.word();

    const moneyLine = (0, _dom.mount)( /*#__PURE__*/_react.default.createElement(_MoneyLine.MoneyLine, Object.assign({}, defaultProps, {
      label: label
    })));
    expect(moneyLine).toContainReactText(label);
  });
  it('renders a value', () => {
    const value = _faker.default.random.number().toString();

    const moneyLine = (0, _dom.mount)( /*#__PURE__*/_react.default.createElement(_MoneyLine.MoneyLine, Object.assign({}, defaultProps, {
      value: value
    })));
    expect(moneyLine).toContainReactText(value);
  });
  it('renders a subdued value if subdued', () => {
    const value = _faker.default.random.number().toString();

    const moneyLine = (0, _dom.mount)( /*#__PURE__*/_react.default.createElement(_MoneyLine.MoneyLine, Object.assign({}, defaultProps, {
      value: value,
      subdued: true
    })));
    expect(moneyLine).toContainReactComponent(_TextBlock.TextBlock, {
      subdued: true,
      children: value
    });
  });
  it('renders its children', () => {
    function Child() {
      return /*#__PURE__*/_react.default.createElement("div", null);
    }

    const moneyLine = (0, _dom.mount)( /*#__PURE__*/_react.default.createElement(_MoneyLine.MoneyLine, defaultProps, /*#__PURE__*/_react.default.createElement(Child, null)));
    expect(moneyLine).toContainReactComponent(Child);
  });
});