"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Popper = Popper;

var _react = _interopRequireWildcard(require("react"));

var _Portal = require("../Portal");

var _hooks = require("./hooks");

var _context = require("./context");

var _offsets = require("./utilities/offsets");

var _Popper = _interopRequireDefault(require("./Popper.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function Popper({
  children,
  placement = 'top',
  preventOverflow,
  activator,
  sameWidth
}) {
  const referenceRect = (0, _hooks.useEffectRect)(activator);
  const [popperRect, popperRef] = (0, _hooks.useRect)();
  const {
    offsets,
    clipping
  } = (0, _react.useMemo)(() => (0, _offsets.computeOffsets)(placement, popperRect, referenceRect, {
    preventOverflow,
    sameWidth
  }), [placement, popperRect, preventOverflow, referenceRect, sameWidth]);
  const contextValue = (0, _react.useMemo)(() => ({
    offsets,
    clipping,
    placement,
    popperRect,
    referenceRect
  }), [clipping, offsets, placement, popperRect, referenceRect]);
  const offsetX = offsets.x + (window.scrollX || window.pageXOffset);
  const offsetY = offsets.y + (window.scrollY || window.pageYOffset);
  return /*#__PURE__*/_react.default.createElement(_context.PopperContext.Provider, {
    value: contextValue
  }, /*#__PURE__*/_react.default.createElement(_Portal.Portal, null, /*#__PURE__*/_react.default.createElement("div", {
    className: _Popper.default.Popper,
    style: { ...(referenceRect && {
        transform: `translate(${offsetX}px, ${offsetY}px)`,
        MozTransform: `translate(${offsetX}px, ${offsetY}px)`,
        webkitTransform: `translate(${offsetX}px, ${offsetY}px)`,
        ...(sameWidth && {
          width: referenceRect.width
        })
      })
    },
    ref: popperRef
  }, children)));
}