"use strict";

var _react = _interopRequireDefault(require("react"));

var _dom = require("@quilted/react-testing/dom");

var _Separator = require("./Separator");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('<Separator />', () => {
  it('renders horizontal by default', () => {
    const separator = (0, _dom.mount)( /*#__PURE__*/_react.default.createElement(_Separator.Separator, null));
    expect(separator).toContainReactComponent('div', {
      style: {
        borderBottomWidth: '1px'
      }
    });
  });
  it('renders vertical', () => {
    const separator = (0, _dom.mount)( /*#__PURE__*/_react.default.createElement(_Separator.Separator, {
      direction: "vertical"
    }));
    expect(separator).toContainReactComponent('div', {
      style: {
        borderRightWidth: '1px'
      }
    });
  });
  it('renders width', () => {
    const separator = (0, _dom.mount)( /*#__PURE__*/_react.default.createElement(_Separator.Separator, {
      width: "thick"
    }));
    expect(separator).toContainReactComponent('div', {
      style: {
        borderBottomWidth: '5px'
      }
    });
  });
});