"use strict";

var _react = _interopRequireDefault(require("react"));

var _dom = require("@quilted/react-testing/dom");

var _Stepper = require("./Stepper");

var _context = require("./context");

var _ = require(".");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('<Stepper />', () => {
  it('renders <StepperStep /> children', () => {
    const stepper = (0, _dom.mount)( /*#__PURE__*/_react.default.createElement(_Stepper.Stepper, null, /*#__PURE__*/_react.default.createElement(_.StepperStep, {
      id: "step1",
      icon: "checkmark",
      label: "Step 1",
      state: "State 1"
    }), /*#__PURE__*/_react.default.createElement(_.StepperStep, {
      id: "step2",
      icon: "checkmark",
      label: "Step 2",
      state: "State 2"
    })));
    expect(stepper).toContainReactComponent(_.StepperStep);
    expect(stepper).toContainReactComponentTimes(_.StepperStep, 2);
  });
  it('wraps <StepperStep /> children with StepperContext', () => {
    const stepper = (0, _dom.mount)( /*#__PURE__*/_react.default.createElement(_Stepper.Stepper, {
      activeStep: "step2"
    }, /*#__PURE__*/_react.default.createElement(_.StepperStep, {
      id: "step1",
      icon: "checkmark",
      label: "Step 1",
      state: "State 1"
    }), /*#__PURE__*/_react.default.createElement(_.StepperStep, {
      id: "step2",
      icon: "checkmark",
      label: "Step 2",
      state: "State 3"
    }), /*#__PURE__*/_react.default.createElement(_.StepperStep, {
      id: "step3",
      icon: "checkmark",
      label: "Step 3",
      state: "State 3"
    })));
    expect(stepper).toProvideReactContext(_context.StepperContext, {
      steps: {
        step1: {
          active: false,
          completed: true
        },
        step2: {
          active: true,
          completed: false
        },
        step3: {
          active: false,
          completed: false
        }
      }
    });
  });
});