"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.usePrefersReducedMotion = usePrefersReducedMotion;

var _react = require("react");

function usePrefersReducedMotion() {
  const [prefersReducedMotion, setPrefersReducedMotion] = (0, _react.useState)(window.matchMedia('(prefers-reduced-motion: reduce)').matches);
  (0, _react.useEffect)(() => {
    const mediaQuery = window.matchMedia('(prefers-reduced-motion: reduce)');

    const handleChange = () => {
      setPrefersReducedMotion(mediaQuery.matches);
    };

    mediaQuery.addListener(handleChange);
    return () => {
      mediaQuery.removeListener(handleChange);
    };
  }, []);
  return prefersReducedMotion;
}