"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.nested = exports.alignment = exports.spacing = void 0;
const react_1 = __importDefault(require("react"));
const InlineStack_1 = require("../InlineStack");
const BlockStack_1 = require("./BlockStack");
const meta = {
    component: BlockStack_1.BlockStack,
    title: 'BlockStack',
};
exports.default = meta;
function Content() {
    return <div style={{ backgroundColor: 'lightgrey' }}>Content block</div>;
}
exports.spacing = () => (<InlineStack_1.InlineStack>
    <BlockStack_1.BlockStack spacing="xtight">
      <Content />
      <Content />
      <Content />
      <Content />
    </BlockStack_1.BlockStack>

    <BlockStack_1.BlockStack spacing="tight">
      <Content />
      <Content />
      <Content />
      <Content />
    </BlockStack_1.BlockStack>

    <BlockStack_1.BlockStack>
      <Content />
      <Content />
      <Content />
      <Content />
    </BlockStack_1.BlockStack>

    <BlockStack_1.BlockStack spacing="loose">
      <Content />
      <Content />
      <Content />
      <Content />
    </BlockStack_1.BlockStack>

    <BlockStack_1.BlockStack spacing="xloose">
      <Content />
      <Content />
      <Content />
      <Content />
    </BlockStack_1.BlockStack>
  </InlineStack_1.InlineStack>);
exports.alignment = () => (<>
    <BlockStack_1.BlockStack alignment="leading">
      <Content />
    </BlockStack_1.BlockStack>
    <BlockStack_1.BlockStack alignment="center">
      <Content />
    </BlockStack_1.BlockStack>
    <BlockStack_1.BlockStack alignment="trailing">
      <Content />
    </BlockStack_1.BlockStack>
  </>);
exports.nested = () => (<>
    <BlockStack_1.BlockStack spacing="xtight">
      <Content />
      <Content />
      <BlockStack_1.BlockStack spacing="tight">
        <Content />
        <Content />
        <BlockStack_1.BlockStack>
          <Content />
          <Content />
          <BlockStack_1.BlockStack spacing="loose">
            <Content />
            <Content />
            <BlockStack_1.BlockStack spacing="xloose">
              <Content />
              <Content />
              <Content />
              <Content />
            </BlockStack_1.BlockStack>
            <Content />
            <Content />
          </BlockStack_1.BlockStack>
          <Content />
          <Content />
        </BlockStack_1.BlockStack>
        <Content />
        <Content />
      </BlockStack_1.BlockStack>
      <Content />
      <Content />
    </BlockStack_1.BlockStack>
  </>);
