"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmptyStateText = exports.EmptyStateIcon = exports.EmptyState = void 0;
const react_1 = __importDefault(require("react"));
const TextContainer_1 = require("../TextContainer");
const BlockStack_1 = require("../BlockStack");
const TextBlock_1 = require("../TextBlock");
const EmptyState_css_1 = __importDefault(require("./EmptyState.css"));
function EmptyState({ children }) {
    return (<div className={EmptyState_css_1.default.Wrapper}>
      <BlockStack_1.BlockStack spacing="tight" alignment="center">
        {children}
      </BlockStack_1.BlockStack>
    </div>);
}
exports.EmptyState = EmptyState;
function EmptyStateIcon({ children }) {
    return <div className={EmptyState_css_1.default.Icon}>{children}</div>;
}
exports.EmptyStateIcon = EmptyStateIcon;
function EmptyStateText({ children }) {
    return (<TextContainer_1.TextContainer alignment="center">
      <TextBlock_1.TextBlock>{children}</TextBlock_1.TextBlock>
    </TextContainer_1.TextContainer>);
}
exports.EmptyStateText = EmptyStateText;
