"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OptionList = void 0;
const react_1 = __importStar(require("react"));
const css_utilities_1 = require("@shopify/css-utilities");
const Heading_1 = require("../Heading");
const VisuallyHidden_1 = require("../VisuallyHidden");
const Theme_1 = require("../Theme");
const context_1 = require("./context");
const OptionList_css_1 = __importDefault(require("./OptionList.css"));
function OptionList({ id, selectedItems, onChange, title, titleHidden, allowMultiple = false, children, }) {
    const onChangeRef = react_1.useRef(onChange);
    onChangeRef.current = onChange;
    const contextValue = react_1.useMemo(() => ({
        id,
        selectedItems,
        allowMultiple,
        get onChange() {
            return onChangeRef.current;
        },
    }), [allowMultiple, id, selectedItems]);
    const titleMarkup = title &&
        (titleHidden ? (<VisuallyHidden_1.VisuallyHidden>
        <legend>{title}</legend>
      </VisuallyHidden_1.VisuallyHidden>) : (<legend className={OptionList_css_1.default.Title}>
        <Heading_1.Heading level={3} role="presentation">
          {title}
        </Heading_1.Heading>
      </legend>));
    const { optionList: { background = 'surfaceTertiary', gap = 'none' }, } = Theme_1.useThemeConfiguration();
    const className = css_utilities_1.classNames(OptionList_css_1.default.OptionList, background && OptionList_css_1.default[css_utilities_1.variationName('OptionList-background', background)], gap === 'none' && OptionList_css_1.default.isContainer);
    return (<context_1.OptionListContext.Provider value={contextValue}>
      <fieldset>
        {titleMarkup}
        <div className={className}>{children}</div>
      </fieldset>
    </context_1.OptionListContext.Provider>);
}
exports.OptionList = OptionList;
