"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PaymentIcon = void 0;
const react_1 = __importDefault(require("react"));
const css_utilities_1 = require("@shopify/css-utilities");
const images_1 = require("./images");
const PaymentIcon_css_1 = __importDefault(require("./PaymentIcon.css"));
// TODO: need an accessible label... somewhere... and to remove the title
// from the SVG
function PaymentIcon({ paymentBrand, disabled, active }) {
    return (<img alt="" src={images_1.CARD_IMAGE_BY_BRAND.get(paymentBrand.toLowerCase().replace(/-/g, '_'))} className={css_utilities_1.classNames(PaymentIcon_css_1.default.PaymentIcon, {
        [PaymentIcon_css_1.default.disabled]: disabled,
        [PaymentIcon_css_1.default.active]: active,
    })}/>);
}
exports.PaymentIcon = PaymentIcon;
