"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResourceItem = exports.ResourceItemContent = void 0;
const react_1 = __importDefault(require("react"));
const css_utilities_1 = require("@shopify/css-utilities");
const legacy_1 = require("../../utilities/legacy");
const VisuallyHidden_1 = require("../VisuallyHidden");
const ResourceItem_css_1 = __importDefault(require("./ResourceItem.css"));
function ResourceItemContent({ children, primary, hidden, }) {
    return (<div role="cell" className={primary
        ? css_utilities_1.classNames(ResourceItem_css_1.default['ResourceItemContent-isPrimary'], ResourceItem_css_1.default.ResourceItemContent)
        : ResourceItem_css_1.default.ResourceItemContent}>
      {hidden ? <VisuallyHidden_1.VisuallyHidden>{children}</VisuallyHidden_1.VisuallyHidden> : children}
    </div>);
}
exports.ResourceItemContent = ResourceItemContent;
function ResourceItem({ children }) {
    return (<div role="row" className={css_utilities_1.classNames(ResourceItem_css_1.default.ResourceItem, legacy_1.utilityDefaultBorderColor)}>
      {children}
    </div>);
}
exports.ResourceItem = ResourceItem;
