"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.reviewBlockWithHiddenTitle = exports.reviewBlock = exports.withAriaLabelForLink = exports.withLink = exports.defaultState = void 0;
const react_1 = __importDefault(require("react"));
const addon_knobs_1 = require("@storybook/addon-knobs");
const storybook_utilities_1 = require("../../storybook-utilities");
const ReviewItem_1 = require("./ReviewItem");
const meta = {
    component: ReviewItem_1.ReviewItem,
    title: 'ReviewItem',
    decorators: [addon_knobs_1.withKnobs, storybook_utilities_1.themeWithKnobs('reviewBlock')],
};
exports.default = meta;
exports.defaultState = () => (<ReviewItem_1.ReviewItem label="Contact">snowdevil@shopify.com</ReviewItem_1.ReviewItem>);
exports.withLink = () => (<ReviewItem_1.ReviewItem label="Contact" to="/shipping" linkLabel="Change">
    snowdevil@shopify.com
  </ReviewItem_1.ReviewItem>);
exports.withAriaLabelForLink = () => (<ReviewItem_1.ReviewItem label="Contact" to="/shipping" linkLabel="Change" linkAriaLabel="Change contact information">
    snowdevil@shopify.com
  </ReviewItem_1.ReviewItem>);
exports.reviewBlock = () => (<ReviewItem_1.ReviewBlock title="Review">
    <ReviewItem_1.ReviewItem label="Contact" to="/information" linkLabel="Change" linkAriaLabel="Change contact information">
      snowdevil@shopify.com
    </ReviewItem_1.ReviewItem>
    <ReviewItem_1.ReviewItem label="Ship to" to="/information" linkLabel="Change" linkAriaLabel="Change shipping address">
      490 Rue de la Gauchetière O, Montréal, QC H2Z 0B3
    </ReviewItem_1.ReviewItem>
    <ReviewItem_1.ReviewItem label="Method" to="/shipping" linkLabel="Change" linkAriaLabel="Change shipping method">
      Standard - <strong>$14.90</strong>
    </ReviewItem_1.ReviewItem>
  </ReviewItem_1.ReviewBlock>);
exports.reviewBlockWithHiddenTitle = () => (<ReviewItem_1.ReviewBlock title="Review your information" titleHidden>
    <ReviewItem_1.ReviewItem label="Contact" to="/information" linkLabel="Change" linkAriaLabel="Change contact information">
      snowdevil@shopify.com
    </ReviewItem_1.ReviewItem>
    <ReviewItem_1.ReviewItem label="Ship to" to="/information" linkLabel="Change" linkAriaLabel="Change shipping address">
      490 Rue de la Gauchetière O, Montréal, QC H2Z 0B3
    </ReviewItem_1.ReviewItem>
    <ReviewItem_1.ReviewItem label="Method" to="/shipping" linkLabel="Change" linkAriaLabel="Change shipping method">
      Standard - <strong>$14.90</strong>
    </ReviewItem_1.ReviewItem>
  </ReviewItem_1.ReviewBlock>);
