import React from 'react';
import { TextFieldProps } from '@shopify/argo-checkout';
export interface Props extends TextFieldProps {
    accessibilityDescription?: string;
    autofocus?: boolean;
}
/**
 * A text field is an input field that merchants can type into.
 */
export declare const TextField: React.ForwardRefExoticComponent<Props & React.RefAttributes<unknown>>;
interface FieldProps extends Omit<TextFieldProps, 'id'> {
    id: string;
    ariaActiveDescendant?: string;
    ariaAutocomplete?: string;
    ariaControls?: string;
    ariaDescribedBy?: string;
    ariaExpanded?: boolean;
    autofocus?: boolean;
    role?: string;
    onKeyDown?(event: React.KeyboardEvent<HTMLInputElement>): void;
}
export declare const Field: React.ForwardRefExoticComponent<FieldProps & React.RefAttributes<unknown>>;
export {};
