/// <reference types="react" />
import { Hsl } from '../../utilities/hsluv';
import { ThemeConfiguration, CustomPropertyMap, RoleColorOverrides, ThemeConstructor, TypographyScaleOverrides, ColorPair } from './types';
interface EventMap {
    change: (configuration: ThemeConfiguration) => void;
    preview: (customProperties: Partial<CustomPropertyMap>) => void;
}
export declare const ThemeContext: import("react").Context<UiTheme | undefined>;
export declare function createTheme({ global, buyerJourney, typographyPrimary, typographySecondary, headingLevel1, headingLevel2, headingLevel3, controls, label, textFields, select, checkbox, radio, optionList, reviewBlock, actions, lineItems, typographyStyle1, typographyStyle2, typographyStyle3, typographyStyle4, typographyStyle5, typographyStyle6, typographyStyle7, typographyStyle8, typographyStyle9, colors, }?: Partial<ThemeConstructor>): UiTheme;
export declare class UiTheme {
    configuration: ThemeConfiguration;
    customProperties: Partial<CustomPropertyMap>;
    private readonly listeners;
    constructor(configuration: ThemeConstructor);
    preview(colors: Partial<RoleColorOverrides>, typographyScale: Partial<TypographyScaleOverrides>): void;
    set<Key extends keyof ThemeConfiguration>(key: Key, value: ThemeConfiguration[Key]): void;
    on<Event extends keyof EventMap>(event: Event, listener: EventMap[Event]): () => void;
}
export declare function colorTextEmphasized(colorPair?: ColorPair): Hsl | undefined;
export declare function colorTextSubdued(colorPair?: ColorPair): Hsl | undefined;
export declare function colorBorderEmphasized(colorPair?: ColorPair): Hsl | undefined;
export {};
