"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.autocompleteToHtml = void 0;
// Our component API supports full names for all autocomplete attributes.
// This map and the autocompleteToHtml() function map the strings back into
// the values expected by the <input autocomplete /> prop.
const AUTOCOMPLETE_MAP = new Map([
    ['telephone', 'tel'],
    ['credit-card', 'cc'],
    ['birthday', 'bday'],
    ['expiry', 'exp'],
    ['security-code', 'csc'],
    ['instant-message', 'impp'],
]);
function autocompleteToHtml(autocomplete) {
    if (autocomplete == null)
        return undefined;
    if (autocomplete === false)
        return 'none';
    if (autocomplete === true)
        return 'on';
    const { group, field } = autocomplete;
    const normalizedField = field.replace(/(?:telephone|credit-card|expiry|security-code|instant-message)/g, (part) => { var _a; return (_a = AUTOCOMPLETE_MAP.get(part)) !== null && _a !== void 0 ? _a : part; });
    return group ? `${group} ${normalizedField}` : normalizedField;
}
exports.autocompleteToHtml = autocompleteToHtml;
